﻿--[[
NameViolation
last updated: September 16, 2008
]]

-- default settings
NAMEVIOLATION_DEFAULT_SALUTATION = "Dear Game Master,";
NAMEVIOLATION_DEFAULT_OPENING = "The following name(s) violate the Naming Policy:";
NAMEVIOLATION_DEFAULT_OPENING_RP = "The following name(s) violate the Naming Policy and/or the Roleplaying Policy:"
NAMEVIOLATION_DEFAULT_CLOSING = "Thank you for looking into this,";

-- report 
NAMEVIOLATION_KEY = "Naming Policy";
--NAMEVIOLATION_REPORT_PS = "P.S. I do not require a response to this ticket.";
NAMEVIOLATION_REPORT_NONAMES = "(no new names to report)";
CMD_KEY_TEXT = "Cmd"; -- not in global strings for some reason
NAMEVIOLATION_REPORT_SHOW_BUTTON = "Show NameViolation Report";
NAMEVIOLATION_REPORT_SHOW_TOOLTIP = "Show report to copy ("..CTRL_KEY_TEXT.."-C) and paste ("..CTRL_KEY_TEXT.."-V) into this window.";
NAMEVIOLATION_REPORT_SHOW_TOOLTIP_MAC = "Show report to copy ("..CMD_KEY_TEXT.."-C) and paste ("..CMD_KEY_TEXT.."-V) into this window.";

-- chat messages
NAMEVIOLATION_MSG = {};
NAMEVIOLATION_MSG.ONLOAD = "NameViolation loaded: /nv";
NAMEVIOLATION_MSG.SIZE = "NameViolation: %d names yet to be reported.";
NAMEVIOLATION_MSG.ADDED = "NameViolation: Added |cffffffff%s|r.";
NAMEVIOLATION_MSG.ADDED_CAT = "NameViolation: Added |cffffffff%s|r [|cffff8c00%s|r].";
NAMEVIOLATION_MSG.UPDATED = "NameViolation: Updated |cffffffff%s|r.";
NAMEVIOLATION_MSG.UPDATED_CAT = "NameViolation: Updated |cffffffff%s|r [|cffff8c00%s|r].";
NAMEVIOLATION_MSG.ALREADY = "NameViolation: |cffffffff%s|r has already been added.";
NAMEVIOLATION_MSG.REMOVED = "NameViolation: Removed |cffffffff%s|r.";
NAMEVIOLATION_MSG.NOT_REMOVED = "NameViolation: Nothing at that list position to remove.";
NAMEVIOLATION_MSG.LIST = "Name Violations (%d total):";
--NAMEVIOLATION_MSG.REPORTED_SO_FAR = "(%d are being reported right now)";
NAMEVIOLATION_MSG.CLEARED = "NameViolation: List cleared.";
NAMEVIOLATION_MSG.EMPTY = "NameViolation: The list is currently empty.";
NAMEVIOLATION_MSG.REPORTED = "NameViolation: Reported names cleared from list.";
NAMEVIOLATION_MSG.TICKET_NEW = "NameViolation: GM ticket created.";
NAMEVIOLATION_MSG.RESET = "NameViolation: Data and settings reset to defaults.";
NAMEVIOLATION_MSG.TOO_LONG = "NameViolation: Reporting only first %d names because of character limit.";
NAMEVIOLATION_MSG.TOO_MANY = "NameViolation: Reports limited to %d names at once per GM request.";
NAMEVIOLATION_MSG.NO_TARGET = "NameViolation: No player or hunter pet targeted.";
NAMEVIOLATION_MSG.LANGUAGE = "NameViolation: Report language changed to %s";

NAMEVIOLATION_MSG.FIRST_REPORT = {
"Congratulations, you just recorded your first name",
"violation! To report the name to a GM now:",
"1) Start a ticket (click '?' button, then 'Report Issue')",
"2) Click the new button on the bottom left of the window",
"3) Copy and paste the shown text into the ticket window",
"However, it may be convenient to wait and report several at once."
};

NAMEVIOLATION_MSG.USAGE = { "NameViolation usage:",
"Right-click on a target and select 'Name Violation'",
"to save that name for later reporting.",
"This also works for chat messages, who list results, etc.",
"You can even report hunter pet and guild names.",
"To report saved names, create a ticket with 'Report Issue'",
"and click the new 'Show NameViolation Report' button --",
"the message is shown so you can just copy and paste."
};

NAMEVIOLATION_MSG.COMMANDS = { "NameViolation commands:",
"|cffffffff/nv help|r displays instructions",
"|cffffffff/nv list|r displays current list of names",
"|cffffffff/nv options|r displays options pane",
"|cffffffff/nv add <name>|r saves a specific name for later reporting",
" e.g., |cffffffff/nv add Roxxoryou|r",
"|cffffffff/nv remove <i>|r removes name at position i from the list",
"|cffffffff/nv clear|r empties the current list of names",
"|cffffffff/nv reset|r resets all data and options"
};

-- options interface

NAMEVIOLATION_OPTIONS_TITLE = "NameViolation";
NAMEVIOLATION_OPTIONS_SUBTEXT = "These options allow you to customize the NameViolation addon.";
NAMEVIOLATION_OPTIONS_HEADER1 = "Pop-up Buttons";
NAMEVIOLATION_OPTIONS_HEADER2 = "Reporting";

NAMEVIOLATION_OPTIONS_CHECK_GUILD = "Guild Names";
NAMEVIOLATION_OPTIONS_CHECK_GUILD_TOOLTIP = "Show pop-up button for guild name violations.";

NAMEVIOLATION_OPTIONS_CHECK_CATS = "Enable Categories";
NAMEVIOLATION_OPTIONS_CHECK_CATS_TOOLTIP = "Show optional violation categories with pop-up button.";

NAMEVIOLATION_OPTIONS_CHECK_TARGET = "Target Frame";
NAMEVIOLATION_OPTIONS_CHECK_TARGET_TOOLTIP = "Show pop-up button for targeted players.";

NAMEVIOLATION_OPTIONS_CHECK_PETS = "Pets";
NAMEVIOLATION_OPTIONS_CHECK_PETS_TOOLTIP = "Show pop-up button for targeted hunter pets.";

NAMEVIOLATION_OPTIONS_CHECK_PARTY = "Party Members";
NAMEVIOLATION_OPTIONS_CHECK_PARTY_TOOLTIP = "Show pop-up button for party members (both target frame and party interface).";

NAMEVIOLATION_OPTIONS_CHECK_RAID = "Raid Members";
NAMEVIOLATION_OPTIONS_CHECK_RAID_TOOLTIP = "Show pop-up button for targeted raid members.";

NAMEVIOLATION_OPTIONS_CHECK_CHAT = "Chat Window";
NAMEVIOLATION_OPTIONS_CHECK_CHAT_TOOLTIP = "Show pop-up button for names in the main chat window.";

NAMEVIOLATION_OPTIONS_CHECK_WHO = "Who List";
NAMEVIOLATION_OPTIONS_CHECK_WHO_TOOLTIP = "Show pop-up button for who list results.";

NAMEVIOLATION_OPTIONS_CHECK_ROSTER = "Guild Roster";
NAMEVIOLATION_OPTIONS_CHECK_ROSTER_TOOLTIP = "Show pop-up button for guildies on the guild roster.";

NAMEVIOLATION_OPTIONS_CHECK_FRIENDS = "Friends List";
NAMEVIOLATION_OPTIONS_CHECK_FRIENDS_TOOLTIP = "Show pop-up button for friends on the friends list.";

NAMEVIOLATION_OPTIONS_SALUTATION = "Salutation:";
NAMEVIOLATION_OPTIONS_SALUTATION_TOOLTIP = "First line of text for name violation reports.";

NAMEVIOLATION_OPTIONS_OPENING = "Opening:";
NAMEVIOLATION_OPTIONS_OPENING_TOOLTIP = "Text immediately preceding the list of name violations (must include 'Naming Policy').";

NAMEVIOLATION_OPTIONS_CLOSING = "Closing:"; 
NAMEVIOLATION_OPTIONS_CLOSING_TOOLTIP = "Text between the list of name violations and the closing signature.";

NAMEVIOLATION_OPTIONS_CHECK_RESPONSE = "No GM Response Required";
NAMEVIOLATION_OPTIONS_CHECK_RESPONSE_TOOLTIP = "Add mention in name violation reports that no GM response is necessary.";

NAMEVIOLATION_OPTIONS_CHECK_SKIP = "Skip Unnecessary Ticket Windows";
NAMEVIOLATION_OPTIONS_CHECK_SKIP_TOOLTIP = "Bypass 'Petition a GM' and 'Behavior/Harassment' windows when creating tickets.";

-- confirm dialogs
NAMEVIOLATION_CONFIRM_DELETE = "Delete all recorded name violations?";
NAMEVIOLATION_CONFIRM_DELETE_REPORTED = "Delete name violations you just reported?";
NAMEVIOLATION_CONFIRM_RESET = "Reset all data and options for NameViolation?";

-- key binding
BINDING_HEADER_NAMEVIOLATION = "NameViolation";
BINDING_NAME_NAMEVIOLATION_RECORD = "Record Name Violation";

-- slash commands
NAMEVIOLATION_SLASH_SHORT = "/nv";
NAMEVIOLATION_SLASH_LONG = "/nameviolation";

-- command arguments
NAMEVIOLATION_CMD_LIST = "list";
NAMEVIOLATION_CMD_LIST2 = "show";
NAMEVIOLATION_CMD_OPTIONS = "options";
NAMEVIOLATION_CMD_OPTIONS2 = "config";
NAMEVIOLATION_CMD_ADD = "add";
NAMEVIOLATION_CMD_REMOVE = "remove";
NAMEVIOLATION_CMD_REMOVE2 = "delete";
NAMEVIOLATION_CMD_CLEAR = "clear";
NAMEVIOLATION_CMD_CLEAR2 = "empty";
NAMEVIOLATION_CMD_RESET = "reset";
NAMEVIOLATION_CMD_HELP = "help";
NAMEVIOLATION_CMD_LANGUAGE = "language";

-- popup buttons
NAMEVIOLATION_POPUP_BUTTON_NAME = "Name Violation";
NAMEVIOLATION_POPUP_BUTTON_GUILD = "Guild Name Violation";

NAMEVIOLATION_POPUP_CATEGORY_NONFANTASY = "Non-medieval/fantasy";
NAMEVIOLATION_POPUP_CATEGORY_SEXVIOLENCE = "Sexuality/violence";
NAMEVIOLATION_POPUP_CATEGORY_ORIENTATION = "Sexual orientation";
NAMEVIOLATION_POPUP_CATEGORY_ANATOMY = "Anatomy/bodily function/pornographic";
NAMEVIOLATION_POPUP_CATEGORY_DRUGS = "Illegal drug/activity";

NAMEVIOLATION_POPUP_CATEGORY_WELLKNOWN = "Well known person/character/place/icon";
NAMEVIOLATION_POPUP_CATEGORY_RACE = "Race/ethnicity/nation";
NAMEVIOLATION_POPUP_CATEGORY_RELIGION = "Major religion or religious figure";
NAMEVIOLATION_POPUP_CATEGORY_INSULT = "Other character/player/group (insult)";
NAMEVIOLATION_POPUP_CATEGORY_BLIZZARD = "Blizzard employee (real name or alias)";
NAMEVIOLATION_POPUP_CATEGORY_LORE = "Realm/zone/major character from Warcraft lore";
NAMEVIOLATION_POPUP_CATEGORY_ADVERTISEMENT = "Non-beneficial business/website (advertising)";
NAMEVIOLATION_POPUP_CATEGORY_TRADEMARK = "Something trademarked or licensed";

NAMEVIOLATION_POPUP_CATEGORY_GIBBERISH = "Unpronounceable gibberish (e.g., Jjxccm)";
NAMEVIOLATION_POPUP_CATEGORY_LEET = "Leet speak (e.g., Roflcopter, xxnewbxx)";
NAMEVIOLATION_POPUP_CATEGORY_TITLE = "Title (e.g., Kingmike, Presidentsanchez)";
NAMEVIOLATION_POPUP_CATEGORY_SENTENCE = "Partial/complete sentence (e.g., Inyourface)";

NAMEVIOLATION_POPUP_CATEGORY_GROUP_RP = "Roleplaying";
NAMEVIOLATION_POPUP_CATEGORY_GROUP_OBSCENE = "Obscene or Illegal";
NAMEVIOLATION_POPUP_CATEGORY_GROUP_REFERENCE = "Reference";
NAMEVIOLATION_POPUP_CATEGORY_GROUP_WORDS = "Words and Letters";

--[[
These categories come from the Naming Policy:
US: http://us.blizzard.com/support/article.xml?articleId=20368
Europe EN: http://www.wow-europe.com/en/policy/namingp1.html
Europe DE: http://www.wow-europe.com/de/policy/namingp1.html
Europe FR: http://www.wow-europe.com/fr/policy/namingp1.html
etc.

Note that Europe treats some categories differently, and adds some new ones
(e.g., Political Groups or Political Figures) but I tried to reconcile these
differences where possible.
]]

NAMEVIOLATION_CATEGORIES = {};
-- Paedophilia (Europe only) - fits under Sexuality/Violence
NAMEVIOLATION_CATEGORIES.RACE = "Racial/Ethnic/National";
-- Racial/Ethnic and National are merged as per US policy
NAMEVIOLATION_CATEGORIES.SEXVIOLENCE = "Sexuality/Violence";
NAMEVIOLATION_CATEGORIES.ORIENTATION = "Sexual Orientation";
NAMEVIOLATION_CATEGORIES.ANATOMY = "Obscene/Vulgar";

-- Inappropriate - the default category; no need for specific category
-- did not include illness/disease names (Cancer, Tetanus, etc) because Europe only
NAMEVIOLATION_CATEGORIES.INSULT = "Harassing/Defamatory";
NAMEVIOLATION_CATEGORIES.RELIGION = "Religion/Religious Figure";
-- Political Groups or Political Figures (Europe only) - fits under Real World Reference
NAMEVIOLATION_CATEGORIES.BLIZZARD = "Blizzard Employee";
NAMEVIOLATION_CATEGORIES.DRUGS = "Illegal Drug/Activity";
NAMEVIOLATION_CATEGORIES.ADVERTISEMENT = "Advertising";
NAMEVIOLATION_CATEGORIES.TRADEMARK = "Trademark";
-- Popular Culture and Media Figures - (Europe only) fits under Real World Reference
NAMEVIOLATION_CATEGORIES.GIBBERISH = "Pure Gibberish";
NAMEVIOLATION_CATEGORIES.TITLE = "Title";

NAMEVIOLATION_CATEGORIES.SENTENCE = "Partial/Complete Sentence";
NAMEVIOLATION_CATEGORIES.WELLKNOWN = "Real World Reference";
NAMEVIOLATION_CATEGORIES.LEET = "Leet speak";
-- Immersion breaking titles (Europe only) - fits under Titles
NAMEVIOLATION_CATEGORIES.NONFANTASY = "Non-Medieval/Fantasy";
-- separate category as per US policy

NAMEVIOLATION_CATEGORIES.LORE = "Warcraft Lore";
-- decided to make this its own category; fits under "Inappropriate" (US) or "Trademarks and IP" (Europe)
